GMOUNTVER(8)

NAME
gmountver - control utility for disk mount verification GEOM class

SYNOPSIS
gmountver create [-v] dev ...
gmountver destroy [-fv] prov ...
gmountver list
gmountver status [-s name]
gmountver load [-v]
gmountver unload [-v]

DESCRIPTION
The gmountver utility is used to control the mount verification GEOM class. When configured, it passes all the I/O requests to the underlying provider. When the underlying provider disappears - for example because the disk device got disconnected - it queues all the I/O requests and waits for the provider to reappear. When that happens, it attaches to it and sends the queued requests.

The first argument to gmountver indicates an action to be performed:

create
    Cache the given devices with specified name. The kernel module geom_mountver.ko will be loaded if it is not loaded already.

destroy
    Destroy name.

list
    See geom(8).

status
    See geom(8).

load
    See geom(8).

unload
    See geom(8).

Additional options:

-f  Force the removal of the specified mountver device.

-v  Be more verbose.

SYSCTL VARIABLES
The following sysctl(8) variables can be used to control the behavior of the MOUNTVER GEOM class. The default value is shown next to each variable.

kern.geom.mountver.debug: 0
    Debug level of the MOUNTVER GEOM class. This can be set to a number between 0 and 3 inclusive. If set to 0 minimal debug information is printed, and if set to 3 the maximum amount of debug information is printed.

kern.geom.mountver.check.check_ident: 1
    This can be set to 0 or 1. If set to 0, gmountver will reattach to the device even if the device reports a different disk ID.

EXIT STATUS
Exit status is 0 on success, and 1 if the command fails.

SEE ALSO
geom(4), geom(8)

HISTORY
The gmountver utility appeared in FreeBSD 9.0.

AUTHORS
Edward Tomasz Napierala <trasz@FreeBSD.org>